- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
pdftron::SDF::ObjSet Class Reference

`#include <ObjSet.h>`

## Public Member Functions
| ObjSet ()
| ~ObjSet ()
| ObjSet (const ObjSet &source)
ObjSet & | operator= (const ObjSet &source)
Obj | CreateName (const char *name)
Obj | CreateArray ()
Obj | CreateBool (bool value)
Obj | CreateDict ()
Obj | CreateNull ()
Obj | CreateNumber (double value)
Obj | CreateString (const UString &value)
Obj | CreateFromJson (const UString &value)
void | Destroy ()

## Detailed Description

ObjSet is a lightweight container that can hold a collection of SDF objects.

Definition at line 17 of file ObjSet.h.

## Constructor & Destructor Documentation

pdftron::SDF::ObjSet::ObjSet | ( |  | ) |

pdftron::SDF::ObjSet::~ObjSet | ( |  | ) |

pdftron::SDF::ObjSet::ObjSet | ( | const ObjSet & | source | ) |

## Member Function Documentation

Obj pdftron::SDF::ObjSet::CreateArray | ( |  | ) |

Create a new array object in this object set.

Obj pdftron::SDF::ObjSet::CreateBool | ( | bool | value | ) |

Create a new boolean object in this object set.

Parameters

  value | The boolean value of the object to create

Obj pdftron::SDF::ObjSet::CreateDict | ( |  | ) |

Create a new dictionary object in this object set.

Obj pdftron::SDF::ObjSet::CreateFromJson | ( | const UString & | value | ) |

parses a json string to create either a Dictionary or an Array in ObjSet.

return the created object as Obj

Obj pdftron::SDF::ObjSet::CreateName | ( | const char * | name | ) |

Create a new name object in this object set.

Parameters

  name | The name of the object to create

Obj pdftron::SDF::ObjSet::CreateNull | ( |  | ) |

Create a new null object in this object set.

Obj pdftron::SDF::ObjSet::CreateNumber | ( | double | value | ) |

Create a new number object in this object set.

Parameters

  value | The numeric value of the number object to create.

Obj pdftron::SDF::ObjSet::CreateString | ( | const UString & | value | ) |

Create a new string object in this object set. The unsigned string value of the string object to create.

void pdftron::SDF::ObjSet::Destroy | ( |  | ) |

Frees the native memory of the object.

ObjSet& pdftron::SDF::ObjSet::operator= | ( | const ObjSet & | source | ) |

The documentation for this class was generated from the following file:

- SDF/ObjSet.h